Retrieves all the user_planning_slot
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_planning_slot| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| user_id |
Foreign key to user. |
globally unique identifier |
Required |
| user_planning_slot_type_id |
Foreign key to user planning slot type id. |
globally unique identifier |
Required |
| date_from |
Date from, |
date | |
| date_to |
Date to, |
date | |
| description |
Description of user planning slot. |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating. |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "f69f6667-7079-4f37-85c8-8f8cd8d06875",
"user_id": "897825cb-773b-4062-be21-83f1960a1f90",
"user_planning_slot_type_id": "015cb49a-d31e-434e-bdc9-e7f9837f6b93",
"date_from": "2026-04-10T04:53:27.0523826+00:00",
"date_to": "2026-04-10T04:53:27.0523826+00:00",
"description": "sample string 6",
"modified_dateutc": "2026-04-10T04:53:27.0523826+00:00"
}